%if 0%{?fedora} < 13 || 0%{?rhel} < 7
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global srcname SFLvault-common

Name:           sflvault-common
Version:        0.7.8.1
Release:        1%{?dist}
Summary:        Libraries for SFLvault

Group:          Development/Languages
License:        GPLv3
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/S/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       python, python-setuptools, python-simplejson, python-crypto, python-urwid, pexpect, python-nose

BuildArch:      noarch
BuildRequires:  python2-devel, python-setuptools, python-pip, python-crypto, python-urwid, pexpect, python-nose

%description
SFLvault is a networked credentials store and authentication manager.

It has a client/vault (server) architecture allowing to cryptographically store
and organize loads of passwords for different machines and services.

%prep
%setup -q -n %{srcname}-%{version}

find -name '*.txt' | xargs chmod -x
find . -name '*.orig' -exec rm \{\} \;

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build

CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}

%{__python} setup.py install --skip-build --root %{buildroot}

rm -rf %{buildroot}%{python_sitelib}/setuptools/tests

find %{buildroot}%{python_sitelib} -name '*.exe' | xargs rm -f

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc */*.txt 
%{python_sitelib}/*
%exclude %{python_sitelib}/*/.gitignore

%changelog
* Sun Apr 29 2012 Simon Piette <piette.simon@gmail.com> - 0.7.8.1-1
- Initial spec file
